Page MenuHomePhabricator

Provide CI testing for PHP 7.4
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2019, 9:25 AM

Change 545269 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: Provide initial PHP74 images (based on 7.4.0-rc.3 for now)

https://gerrit.wikimedia.org/r/545269

Jdforrester-WMF changed the task status from Open to Stalled.Oct 30 2019, 3:33 PM

Waiting on upstream release.

GA is scheduled for this Thursday, so hopefully Debian will be live by next week. Hopefully.

hashar added a subscriber: hashar.Tue, Nov 26, 2:50 PM

You can watch https://packages.sury.org/php/pool/main/p/php7.4/ , browse to bottom and check the orig.tar.xz version shipped there :]

Jdforrester-WMF changed the task status from Stalled to Open.Mon, Dec 2, 5:05 PM

No longer RC.

Change 554104 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Provide initial PHP74 jobs

https://gerrit.wikimedia.org/r/554104

Change 554105 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Provide experimental PHP74 jobs for anything using PHP73

https://gerrit.wikimedia.org/r/554105

Change 545269 merged by jenkins-bot:
[integration/config@master] dockerfiles: Provide initial PHP74 images

https://gerrit.wikimedia.org/r/545269

Change 554104 merged by jenkins-bot:
[integration/config@master] jjb: Provide initial PHP74 jobs

https://gerrit.wikimedia.org/r/554104

Change 554105 merged by jenkins-bot:
[integration/config@master] layout: Provide experimental PHP74 jobs for anything using PHP73

https://gerrit.wikimedia.org/r/554105

Mentioned in SAL (#wikimedia-releng) [2019-12-02T17:26:36Z] <James_F> Zuul: Adding experimental PHP74 jobs to anything that moves T236132

Jdforrester-WMF closed this task as Resolved.Mon, Dec 2, 5:40 PM
Jdforrester-WMF removed a project: Patch-For-Review.